scala.tools.nsc.backend.icode.analysis.TypeFlowAnalysis

# VarBinding

###
Related Doc: package TypeFlowAnalysis

#### class VarBinding extends HashMap[Global.icodes.Local, Global.icodes.TypeKind]

A map which returns the bottom type for unfound elements

Source
  TypeFlowAnalysis.scala

Linear Supertypes
HashMap[Global.icodes.Local, Global.icodes.TypeKind], Serializable, java.io.Serializable, CustomParallelizable[(Global.icodes.Local, Global.icodes.TypeKind), ParHashMap[Global.icodes.Local, Global.icodes.TypeKind]], HashTable[Global.icodes.Local, DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]], HashUtils[Global.icodes.Local], AbstractMap[Global.icodes.Local, Global.icodes.TypeKind], Map[Global.icodes.Local, Global.icodes.TypeKind], MapLike[Global.icodes.Local, Global.icodes.TypeKind, HashMap[Global.icodes.Local, Global.icodes.TypeKind]], collection.mutable.Cloneable[HashMap[Global.icodes.Local, Global.icodes.TypeKind]], Cloneable, java.lang.Cloneable, Shrinkable[Global.icodes.Local], Builder[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], Growable[(Global.icodes.Local, Global.icodes.TypeKind)], Clearable, collection.mutable.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)], collection.mutable.Traversable[(Global.icodes.Local, Global.icodes.TypeKind)], Mutable, AbstractMap[Global.icodes.Local, Global.icodes.TypeKind], Map[Global.icodes.Local, Global.icodes.TypeKind], MapLike[Global.icodes.Local, Global.icodes.TypeKind, HashMap[Global.icodes.Local, Global.icodes.TypeKind]], Subtractable[Global.icodes.Local, HashMap[Global.icodes.Local, Global.icodes.TypeKind]], PartialFunction[Global.icodes.Local, Global.icodes.TypeKind], (Global.icodes.Local) ⇒ Global.icodes.TypeKind, GenMap[Global.icodes.Local, Global.icodes.TypeKind], GenMapLike[Global.icodes.Local, Global.icodes.TypeKind, HashMap[Global.icodes.Local, Global.icodes.TypeKind]], AbstractIterable[(Global.icodes.Local, Global.icodes.TypeKind)], collection.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)], IterableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], Equals, GenIterable[(Global.icodes.Local, Global.icodes.TypeKind)], GenIterableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], AbstractTraversable[(Global.icodes.Local, Global.icodes.TypeKind)], collection.Traversable[(Global.icodes.Local, Global.icodes.TypeKind)], GenTraversable[(Global.icodes.Local, Global.icodes.TypeKind)], GenericTraversableTemplate[(Global.icodes.Local, Global.icodes.TypeKind), collection.mutable.Iterable], TraversableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], GenTraversableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], Parallelizable[(Global.icodes.Local, Global.icodes.TypeKind), ParHashMap[Global.icodes.Local, Global.icodes.TypeKind]], collection.TraversableOnce[(Global.icodes.Local, Global.icodes.TypeKind)], GenTraversableOnce[(Global.icodes.Local, Global.icodes.TypeKind)], FilterMonadic[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], HasNewBuilder[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VarBinding
2. HashMap
3. Serializable
4. Serializable
5. CustomParallelizable
6. HashTable
7. HashUtils
8. AbstractMap
9. Map
10. MapLike
11. Cloneable
12. Cloneable
13. Cloneable
14. Shrinkable
15. Builder
16. Growable
17. Clearable
18. Iterable
19. Traversable
20. Mutable
21. AbstractMap
22. Map
23. MapLike
24. Subtractable
25. PartialFunction
26. Function1
27. GenMap
28. GenMapLike
29. AbstractIterable
30. Iterable
31. IterableLike
32. Equals
33. GenIterable
34. GenIterableLike
35. AbstractTraversable
36. Traversable
37. GenTraversable
38. GenericTraversableTemplate
39. TraversableLike
40. GenTraversableLike
41. Parallelizable
42. TraversableOnce
43. GenTraversableOnce
44. FilterMonadic
45. HasNewBuilder
46. AnyRef
47. Any

Implicitly

1. by MonadOps
2. by CollectionsHaveToParArray
3. by any2stringadd
4. by StringFormat
5. by Ensuring
6. by ArrowAssoc
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new VarBinding(o: VarBinding)

2. #### new VarBinding()

### Type Members

1. #### class DefaultKeySet extends AbstractSet[A] with Set[A] with Serializable

   Attributes
     protected
   Definition Classes
     MapLike

2. #### class DefaultValuesIterable extends AbstractIterable[B] with collection.Iterable[B] with Serializable

   Attributes
     protected
   Definition Classes
     MapLike

3. #### type Entry = DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]

   Definition Classes
     HashMap

4. #### class FilteredKeys extends AbstractMap[A, B] with DefaultMap[A, B]

   Attributes
     protected
   Definition Classes
     MapLike

5. #### class MappedValues[C] extends AbstractMap[A, C] with DefaultMap[A, C]

   Attributes
     protected
   Definition Classes
     MapLike

6. #### type Self = HashMap[Global.icodes.Local, Global.icodes.TypeKind]

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

7. #### class WithFilter extends FilterMonadic[A, Repr]

   Definition Classes
     TraversableLike

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +[B1 >: Global.icodes.TypeKind](elem1: (Global.icodes.Local, B1), elem2: (Global.icodes.Local, B1), elems: (Global.icodes.Local, B1)*): Map[Global.icodes.Local, B1]

   Definition Classes
     MapLike → MapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new map. Use `+=` to add an element to this map and return that map itself.

4. #### def +[B1 >: Global.icodes.TypeKind](kv: (Global.icodes.Local, B1)): Map[Global.icodes.Local, B1]

   Definition Classes
     MapLike → MapLike → GenMapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new map. Use `+=` to add an element to this map and return that map itself.

5. #### def ++[B1 >: Global.icodes.TypeKind](xs: GenTraversableOnce[(Global.icodes.Local, B1)]): Map[Global.icodes.Local, B1]

   Definition Classes
     MapLike → MapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new map. Use `++=` to add an element to this map and return that map itself.

6. #### def ++[B >: (Global.icodes.Local, Global.icodes.TypeKind), That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

   Definition Classes
     TraversableLike → GenTraversableLike

7. #### def ++:[B >: (Global.icodes.Local, Global.icodes.TypeKind), That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

   Definition Classes
     TraversableLike

8. #### def ++:[B >: (Global.icodes.Local, Global.icodes.TypeKind), That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

   Definition Classes
     TraversableLike

9. #### def ++=(xs: collection.TraversableOnce[(Global.icodes.Local, Global.icodes.TypeKind)]): VarBinding.this.type

   Definition Classes
     Growable

10. #### def +=(kv: (Global.icodes.Local, Global.icodes.TypeKind)): VarBinding.this.type

    Definition Classes
      HashMap → MapLike → Builder → Growable

11. #### def +=(elem1: (Global.icodes.Local, Global.icodes.TypeKind), elem2: (Global.icodes.Local, Global.icodes.TypeKind), elems: (Global.icodes.Local, Global.icodes.TypeKind)*): VarBinding.this.type

    Definition Classes
      Growable

12. #### def -(elem1: Global.icodes.Local, elem2: Global.icodes.Local, elems: Global.icodes.Local*): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      MapLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new map. Use `-=` to remove an element from this map and return that map itself.

13. #### def -(key: Global.icodes.Local): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      MapLike → MapLike → Subtractable → GenMapLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new map. Use `-=` to remove an element from this map and return that map itself.

14. #### def --(xs: GenTraversableOnce[Global.icodes.Local]): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      MapLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new map. Use `--=` to remove an element from this map and return that map itself.

15. #### def --=(xs: collection.TraversableOnce[Global.icodes.Local]): VarBinding.this.type

    Definition Classes
      Shrinkable

16. #### def -=(key: Global.icodes.Local): VarBinding.this.type

    Definition Classes
      HashMap → MapLike → Shrinkable

17. #### def -=(elem1: Global.icodes.Local, elem2: Global.icodes.Local, elems: Global.icodes.Local*): VarBinding.this.type

    Definition Classes
      Shrinkable

18. #### def ->[B](y: B): (VarBinding, B)

    Implicit information
      This member is added by an implicit conversion from VarBinding to ArrowAssoc[VarBinding] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

19. #### def /:[B](z: B)(op: (B, (Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

20. #### def :\[B](z: B)(op: ((Global.icodes.Local, Global.icodes.TypeKind), B) ⇒ B): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

21. #### final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    arg0

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

22. #### var _loadFactor: Int

    Attributes
      protected
    Definition Classes
      HashTable

23. #### def addEntry(e: DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]): Unit

    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

24. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Definition Classes
      MapLike → TraversableOnce

25. #### def addString(b: StringBuilder): StringBuilder

    Definition Classes
      TraversableOnce

26. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Definition Classes
      TraversableOnce

27. #### def aggregate[B](z: ⇒ B)(seqop: (B, (Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B, combop: (B, B) ⇒ B): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

28. #### def alwaysInitSizeMap: Boolean

    Attributes
      protected
    Definition Classes
      HashTable

29. #### def andThen[C](k: (Global.icodes.TypeKind) ⇒ C): PartialFunction[Global.icodes.Local, C]

    Definition Classes
      PartialFunction → Function1

30. #### def apply(key: Global.icodes.Local): Global.icodes.TypeKind

    Definition Classes
      HashMap → MapLike → Function1 → GenMapLike

31. #### def applyOrElse[A1 <: Global.icodes.Local, B1 >: Global.icodes.TypeKind](x: A1, default: (A1) ⇒ B1): B1

    Definition Classes
      PartialFunction

32. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

33. #### def calcSizeMapSize(tableLength: Int): Int

    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

34. #### def canEqual(that: Any): Boolean

    Definition Classes
      IterableLike → Equals

35. #### def clear(): Unit

    Definition Classes
      HashMap → MapLike → Builder → Growable → Clearable

36. #### def clearTable(): Unit

    Attributes
      protected
    Definition Classes
      HashTable

37. #### def clone(): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      MapLike → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

38. #### def collect[B, That](pf: PartialFunction[(Global.icodes.Local, Global.icodes.TypeKind), B])(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike

39. #### def collectFirst[B](pf: PartialFunction[(Global.icodes.Local, Global.icodes.TypeKind), B]): Option[B]

    Definition Classes
      TraversableOnce

40. #### def companion: GenericCompanion[collection.mutable.Iterable]

    Definition Classes
      Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

41. #### def compose[A](g: (A) ⇒ Global.icodes.Local): (A) ⇒ Global.icodes.TypeKind

    Definition Classes
      Function1
    Annotations
      @unspecialized()

42. #### def contains(key: Global.icodes.Local): Boolean

    Definition Classes
      HashMap → MapLike → GenMapLike

43. #### def copyToArray[B >: (Global.icodes.Local, Global.icodes.TypeKind)](xs: Array[B], start: Int, len: Int): Unit

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

44. #### def copyToArray[B >: (Global.icodes.Local, Global.icodes.TypeKind)](xs: Array[B]): Unit

    Definition Classes
      TraversableOnce → GenTraversableOnce

45. #### def copyToArray[B >: (Global.icodes.Local, Global.icodes.TypeKind)](xs: Array[B], start: Int): Unit

    Definition Classes
      TraversableOnce → GenTraversableOnce

46. #### def copyToBuffer[B >: (Global.icodes.Local, Global.icodes.TypeKind)](dest: Buffer[B]): Unit

    Definition Classes
      TraversableOnce

47. #### def count(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): Int

    Definition Classes
      TraversableOnce → GenTraversableOnce

48. #### def createNewEntry[B1](key: Global.icodes.Local, value: B1): Entry

    Attributes
      protected
    Definition Classes
      HashMap → HashTable

49. #### def default(l: Global.icodes.Local): Global.icodes.REFERENCE

    Definition Classes
      VarBinding → MapLike → GenMapLike

50. #### def drop(n: Int): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

51. #### def dropRight(n: Int): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      IterableLike

52. #### def dropWhile(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      TraversableLike → GenTraversableLike

53. #### def elemEquals(key1: Global.icodes.Local, key2: Global.icodes.Local): Boolean

    Attributes
      protected
    Definition Classes
      HashTable

54. #### def elemHashCode(key: Global.icodes.Local): Int

    Attributes
      protected
    Definition Classes
      HashUtils

55. #### def empty: HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      HashMap → Map → Map → MapLike

56. #### def ensuring(cond: (VarBinding) ⇒ Boolean, msg: ⇒ Any): VarBinding

    Implicit information
      This member is added by an implicit conversion from VarBinding to Ensuring[VarBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### def ensuring(cond: (VarBinding) ⇒ Boolean): VarBinding

    Implicit information
      This member is added by an implicit conversion from VarBinding to Ensuring[VarBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

58. #### def ensuring(cond: Boolean, msg: ⇒ Any): VarBinding

    Implicit information
      This member is added by an implicit conversion from VarBinding to Ensuring[VarBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

59. #### def ensuring(cond: Boolean): VarBinding

    Implicit information
      This member is added by an implicit conversion from VarBinding to Ensuring[VarBinding] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

60. #### def entriesIterator: collection.Iterator[DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]]

    Attributes
      protected
    Definition Classes
      HashTable

61. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

62. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      GenMapLike → Equals → AnyRef → Any

63. #### def exists(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): Boolean

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

64. #### def filter(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      TraversableLike → GenTraversableLike

65. #### def filterKeys(p: (Global.icodes.Local) ⇒ Boolean): Map[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      MapLike → GenMapLike

66. #### def filterNot(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      MapLike → TraversableLike → GenTraversableLike

67. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

68. #### def find(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): Option[(Global.icodes.Local, Global.icodes.TypeKind)]

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

69. #### def findEntry(key: Global.icodes.Local): DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]

    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

70. #### def findOrAddEntry[B](key: Global.icodes.Local, value: B): DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]

    Attributes
      protected
    Definition Classes
      HashTable

71. #### def flatMap[B, That](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

72. #### def flatten[B](implicit asTraversable: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ GenTraversableOnce[B]): collection.mutable.Iterable[B]

    Definition Classes
      GenericTraversableTemplate

73. #### def fold[A1 >: (Global.icodes.Local, Global.icodes.TypeKind)](z: A1)(op: (A1, A1) ⇒ A1): A1

    Definition Classes
      TraversableOnce → GenTraversableOnce

74. #### def foldLeft[B](z: B)(op: (B, (Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B): B

    Definition Classes
      TraversableOnce → GenTraversableOnce

75. #### def foldRight[B](z: B)(op: ((Global.icodes.Local, Global.icodes.TypeKind), B) ⇒ B): B

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

76. #### def forall(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): Boolean

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

77. #### def foreach[C](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ C): Unit

    Definition Classes
      HashMap → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

78. #### def foreachEntry[U](f: (DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]) ⇒ U): Unit

    Attributes
      protected
    Definition Classes
      HashTable

79. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from VarBinding to StringFormat[VarBinding] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

80. #### def genericBuilder[B]: Builder[B, collection.mutable.Iterable[B]]

    Definition Classes
      GenericTraversableTemplate

81. #### def get(key: Global.icodes.Local): Option[Global.icodes.TypeKind]

    Definition Classes
      HashMap → MapLike → GenMapLike

82. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

83. #### def getOrElse[B1 >: Global.icodes.TypeKind](key: Global.icodes.Local, default: ⇒ B1): B1

    Definition Classes
      MapLike → GenMapLike

84. #### def getOrElseUpdate(key: Global.icodes.Local, op: ⇒ Global.icodes.TypeKind): Global.icodes.TypeKind

    Definition Classes
      MapLike

85. #### def groupBy[K](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ K): Map[K, HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

    Definition Classes
      TraversableLike → GenTraversableLike

86. #### def grouped(size: Int): collection.Iterator[HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

    Definition Classes
      IterableLike

87. #### def hasDefiniteSize: Boolean

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

88. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenMapLike → AnyRef → Any

89. #### def head: (Global.icodes.Local, Global.icodes.TypeKind)

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

90. #### def headOption: Option[(Global.icodes.Local, Global.icodes.TypeKind)]

    Definition Classes
      TraversableLike → GenTraversableLike

91. #### final def improve(hcode: Int, seed: Int): Int

    Attributes
      protected
    Definition Classes
      HashUtils

92. #### final def index(hcode: Int): Int

    Attributes
      protected
    Definition Classes
      HashTable

93. #### def init: HashMap[Global.icodes.Local, Global.icodes.TypeKind]

    Definition Classes
      TraversableLike → GenTraversableLike

94. #### def initWithContents(c: Contents[Global.icodes.Local, DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]]): Unit

    Attributes
      protected
    Definition Classes
      HashTable

95. #### def initialSize: Int

    Attributes
      protected
    Definition Classes
      HashTable

96. #### def inits: collection.Iterator[HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

    Definition Classes
      TraversableLike

97. #### def isDefinedAt(key: Global.icodes.Local): Boolean

    Definition Classes
      MapLike → GenMapLike → PartialFunction

98. #### def isEmpty: Boolean

    Definition Classes
      MapLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

99. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

100. #### def isSizeMapDefined: Boolean

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

101. #### final def isTraversableAgain: Boolean

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce

102. #### def iterator: collection.Iterator[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       HashMap → MapLike → IterableLike → GenIterableLike

103. #### def keySet: Set[Global.icodes.Local]

     Definition Classes
       HashMap → MapLike → GenMapLike

104. #### def keys: collection.Iterable[Global.icodes.Local]

     Definition Classes
       MapLike → GenMapLike
     Annotations
       @migration
     Migration

       (Changed in version 2.8.0) `keys` returns `Iterable[A]` rather than `Iterator[A]`.

105. #### def keysIterator: collection.Iterator[Global.icodes.Local]

     Definition Classes
       HashMap → MapLike → GenMapLike

106. #### def last: (Global.icodes.Local, Global.icodes.TypeKind)

     Definition Classes
       TraversableLike → GenTraversableLike

107. #### def lastOption: Option[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       TraversableLike → GenTraversableLike

108. #### def lift: (Global.icodes.Local) ⇒ Option[Global.icodes.TypeKind]

     Definition Classes
       PartialFunction

109. #### def map[B, That](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B)(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic

110. #### def mapResult[NewTo](f: (HashMap[Global.icodes.Local, Global.icodes.TypeKind]) ⇒ NewTo): Builder[(Global.icodes.Local, Global.icodes.TypeKind), NewTo]

     Definition Classes
       Builder

111. #### def mapValues[C](f: (Global.icodes.TypeKind) ⇒ C): Map[Global.icodes.Local, C]

     Definition Classes
       MapLike → GenMapLike

112. #### def max[B >: (Global.icodes.Local, Global.icodes.TypeKind)](implicit cmp: Ordering[B]): (Global.icodes.Local, Global.icodes.TypeKind)

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### def maxBy[B](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B)(implicit cmp: Ordering[B]): (Global.icodes.Local, Global.icodes.TypeKind)

     Definition Classes
       TraversableOnce → GenTraversableOnce

114. #### def min[B >: (Global.icodes.Local, Global.icodes.TypeKind)](implicit cmp: Ordering[B]): (Global.icodes.Local, Global.icodes.TypeKind)

     Definition Classes
       TraversableOnce → GenTraversableOnce

115. #### def minBy[B](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B)(implicit cmp: Ordering[B]): (Global.icodes.Local, Global.icodes.TypeKind)

     Definition Classes
       TraversableOnce → GenTraversableOnce

116. #### def mkString: String

     Definition Classes
       TraversableOnce → GenTraversableOnce

117. #### def mkString(sep: String): String

     Definition Classes
       TraversableOnce → GenTraversableOnce

118. #### def mkString(start: String, sep: String, end: String): String

     Definition Classes
       TraversableOnce → GenTraversableOnce

119. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

120. #### def newBuilder: Builder[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Attributes
       protected[this]
     Definition Classes
       MapLike → MapLike → TraversableLike → HasNewBuilder

121. #### def nnSizeMapAdd(h: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

122. #### def nnSizeMapRemove(h: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

123. #### def nnSizeMapReset(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

124. #### def nonEmpty: Boolean

     Definition Classes
       TraversableOnce → GenTraversableOnce

125. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

126. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

127. #### def orElse[A1 <: Global.icodes.Local, B1 >: Global.icodes.TypeKind](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Definition Classes
       PartialFunction

128. #### def par: ParHashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       HashMap → CustomParallelizable → Parallelizable

129. #### def parCombiner: Combiner[(Global.icodes.Local, Global.icodes.TypeKind), ParHashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

130. #### def partition(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): (HashMap[Global.icodes.Local, Global.icodes.TypeKind], HashMap[Global.icodes.Local, Global.icodes.TypeKind])

     Definition Classes
       TraversableLike → GenTraversableLike

131. #### def product[B >: (Global.icodes.Local, Global.icodes.TypeKind)](implicit num: Numeric[B]): B

     Definition Classes
       TraversableOnce → GenTraversableOnce

132. #### def put(key: Global.icodes.Local, value: Global.icodes.TypeKind): Option[Global.icodes.TypeKind]

     Definition Classes
       HashMap → MapLike

133. #### def reduce[A1 >: (Global.icodes.Local, Global.icodes.TypeKind)](op: (A1, A1) ⇒ A1): A1

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### def reduceLeft[B >: (Global.icodes.Local, Global.icodes.TypeKind)](op: (B, (Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B): B

     Definition Classes
       TraversableOnce

135. #### def reduceLeftOption[B >: (Global.icodes.Local, Global.icodes.TypeKind)](op: (B, (Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B): Option[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

136. #### def reduceOption[A1 >: (Global.icodes.Local, Global.icodes.TypeKind)](op: (A1, A1) ⇒ A1): Option[A1]

     Definition Classes
       TraversableOnce → GenTraversableOnce

137. #### def reduceRight[B >: (Global.icodes.Local, Global.icodes.TypeKind)](op: ((Global.icodes.Local, Global.icodes.TypeKind), B) ⇒ B): B

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

138. #### def reduceRightOption[B >: (Global.icodes.Local, Global.icodes.TypeKind)](op: ((Global.icodes.Local, Global.icodes.TypeKind), B) ⇒ B): Option[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

139. #### def remove(key: Global.icodes.Local): Option[Global.icodes.TypeKind]

     Definition Classes
       HashMap → MapLike

140. #### def removeEntry(key: Global.icodes.Local): DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

141. #### def repr: HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       TraversableLike → GenTraversableLike

142. #### def result(): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       MapLike → Builder

143. #### def retain(p: (Global.icodes.Local, Global.icodes.TypeKind) ⇒ Boolean): VarBinding.this.type

     Definition Classes
       MapLike

144. #### def reversed: List[(Global.icodes.Local, Global.icodes.TypeKind)]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

145. #### def runWith[U](action: (Global.icodes.TypeKind) ⇒ U): (Global.icodes.Local) ⇒ Boolean

     Definition Classes
       PartialFunction

146. #### def sameElements[B >: (Global.icodes.Local, Global.icodes.TypeKind)](that: GenIterable[B]): Boolean

     Definition Classes
       IterableLike → GenIterableLike

147. #### def scan[B >: (Global.icodes.Local, Global.icodes.TypeKind), That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

     Definition Classes
       TraversableLike → GenTraversableLike

148. #### def scanLeft[B, That](z: B)(op: (B, (Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B)(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

     Definition Classes
       TraversableLike → GenTraversableLike

149. #### def scanRight[B, That](z: B)(op: ((Global.icodes.Local, Global.icodes.TypeKind), B) ⇒ B)(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], B, That]): That

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

150. #### var seedvalue: Int

     Attributes
       protected
     Definition Classes
       HashTable

151. #### def seq: Map[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       Map → Map → GenMap → GenMapLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

152. #### def size: Int

     Definition Classes
       HashMap → GenTraversableLike → TraversableOnce → GenTraversableOnce

153. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Definition Classes
       Builder

154. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Definition Classes
       Builder

155. #### def sizeHint(size: Int): Unit

     Definition Classes
       Builder

156. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Definition Classes
       Builder

157. #### final def sizeMapBucketBitSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

158. #### final def sizeMapBucketSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

159. #### def sizeMapDisable(): Unit

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

160. #### def sizeMapInit(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

161. #### def sizeMapInitAndRebuild(): Unit

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

162. #### var sizemap: Array[Int]

     Attributes
       protected
     Definition Classes
       HashTable

163. #### def slice(from: Int, until: Int): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

164. #### def sliding(size: Int, step: Int): collection.Iterator[HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Definition Classes
       IterableLike

165. #### def sliding(size: Int): collection.Iterator[HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Definition Classes
       IterableLike

166. #### def span(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): (HashMap[Global.icodes.Local, Global.icodes.TypeKind], HashMap[Global.icodes.Local, Global.icodes.TypeKind])

     Definition Classes
       TraversableLike → GenTraversableLike

167. #### def splitAt(n: Int): (HashMap[Global.icodes.Local, Global.icodes.TypeKind], HashMap[Global.icodes.Local, Global.icodes.TypeKind])

     Definition Classes
       TraversableLike → GenTraversableLike

168. #### def stringPrefix: String

     Definition Classes
       MapLike → TraversableLike → GenTraversableLike

169. #### def sum[B >: (Global.icodes.Local, Global.icodes.TypeKind)](implicit num: Numeric[B]): B

     Definition Classes
       TraversableOnce → GenTraversableOnce

170. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

171. #### var table: Array[HashEntry[Global.icodes.Local, DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]]]

     Attributes
       protected
     Definition Classes
       HashTable

172. #### var tableSize: Int

     Attributes
       protected
     Definition Classes
       HashTable

173. #### def tableSizeSeed: Int

     Attributes
       protected
     Definition Classes
       HashTable

174. #### def tail: HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       TraversableLike → GenTraversableLike

175. #### def tails: collection.Iterator[HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Definition Classes
       TraversableLike

176. #### def take(n: Int): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

177. #### def takeRight(n: Int): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       IterableLike

178. #### def takeWhile(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): HashMap[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

179. #### def thisCollection: collection.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)]

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

180. #### var threshold: Int

     Attributes
       protected
     Definition Classes
       HashTable

181. #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, (Global.icodes.Local, Global.icodes.TypeKind), Col[(Global.icodes.Local, Global.icodes.TypeKind)]]): Col[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

182. #### def toArray[B >: (Global.icodes.Local, Global.icodes.TypeKind)](implicit arg0: ClassTag[B]): Array[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

183. #### def toBuffer[C >: (Global.icodes.Local, Global.icodes.TypeKind)]: Buffer[C]

     Definition Classes
       MapLike → TraversableOnce → GenTraversableOnce

184. #### def toCollection(repr: HashMap[Global.icodes.Local, Global.icodes.TypeKind]): collection.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)]

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

185. #### def toIndexedSeq: collection.immutable.IndexedSeq[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       TraversableOnce → GenTraversableOnce

186. #### def toIterable: collection.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

187. #### def toIterator: collection.Iterator[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

188. #### def toList: List[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       TraversableOnce → GenTraversableOnce

189. #### def toMap[T, U](implicit ev: <:<[(Global.icodes.Local, Global.icodes.TypeKind), (T, U)]): Map[T, U]

     Definition Classes
       TraversableOnce → GenTraversableOnce

190. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from VarBinding to CollectionsHaveToParArray[VarBinding, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (VarBinding) ⇒ GenTraversableOnce[T] is in scope.
     Definition Classes
       CollectionsHaveToParArray

191. #### def toSeq: collection.Seq[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       MapLike → TraversableOnce → GenTraversableOnce

192. #### def toSet[B >: (Global.icodes.Local, Global.icodes.TypeKind)]: Set[B]

     Definition Classes
       TraversableOnce → GenTraversableOnce

193. #### def toStream: collection.immutable.Stream[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

194. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       MapLike → TraversableLike → Function1 → AnyRef → Any

195. #### def toTraversable: collection.Traversable[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Annotations
       @deprecatedOverriding( ... , "2.11.0" )

196. #### def toVector: Vector[(Global.icodes.Local, Global.icodes.TypeKind)]

     Definition Classes
       TraversableOnce → GenTraversableOnce

197. #### def transform(f: (Global.icodes.Local, Global.icodes.TypeKind) ⇒ Global.icodes.TypeKind): VarBinding.this.type

     Definition Classes
       MapLike

198. #### def transpose[B](implicit asTraversable: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ GenTraversableOnce[B]): collection.mutable.Iterable[collection.mutable.Iterable[B]]

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

199. #### def unzip[A1, A2](implicit asPair: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ (A1, A2)): (collection.mutable.Iterable[A1], collection.mutable.Iterable[A2])

     Definition Classes
       GenericTraversableTemplate

200. #### def unzip3[A1, A2, A3](implicit asTriple: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ (A1, A2, A3)): (collection.mutable.Iterable[A1], collection.mutable.Iterable[A2], collection.mutable.Iterable[A3])

     Definition Classes
       GenericTraversableTemplate

201. #### def update(key: Global.icodes.Local, value: Global.icodes.TypeKind): Unit

     Definition Classes
       HashMap → MapLike

202. #### def updated[B1 >: Global.icodes.TypeKind](key: Global.icodes.Local, value: B1): Map[Global.icodes.Local, B1]

     Definition Classes
       MapLike → MapLike

203. #### def useSizeMap(t: Boolean): Unit

     Definition Classes
       HashMap

204. #### def values: collection.Iterable[Global.icodes.TypeKind]

     Definition Classes
       HashMap → MapLike → GenMapLike

205. #### def valuesIterator: collection.Iterator[Global.icodes.TypeKind]

     Definition Classes
       HashMap → MapLike → GenMapLike

206. #### def view(from: Int, until: Int): IterableView[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Definition Classes
       IterableLike → TraversableLike

207. #### def view: IterableView[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Definition Classes
       IterableLike → TraversableLike

208. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

209. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

210. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

211. #### def withDefault(d: (Global.icodes.Local) ⇒ Global.icodes.TypeKind): Map[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       Map

212. #### def withDefaultValue(d: Global.icodes.TypeKind): Map[Global.icodes.Local, Global.icodes.TypeKind]

     Definition Classes
       Map

213. #### def withFilter(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): FilterMonadic[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

     Definition Classes
       TraversableLike → FilterMonadic

214. #### def zip[A1 >: (Global.icodes.Local, Global.icodes.TypeKind), B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], (A1, B), That]): That

     Definition Classes
       IterableLike → GenIterableLike

215. #### def zipAll[B, A1 >: (Global.icodes.Local, Global.icodes.TypeKind), That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], (A1, B), That]): That

     Definition Classes
       IterableLike → GenIterableLike

216. #### def zipWithIndex[A1 >: (Global.icodes.Local, Global.icodes.TypeKind), That](implicit bf: CanBuildFrom[HashMap[Global.icodes.Local, Global.icodes.TypeKind], (A1, Int), That]): That

     Definition Classes
       IterableLike → GenIterableLike

217. #### def →[B](y: B): (VarBinding, B)

     Implicit information
       This member is added by an implicit conversion from VarBinding to ArrowAssoc[VarBinding] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from VarBinding to any2stringadd[VarBinding] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (varBinding: any2stringadd[VarBinding]).+(other)

   Definition Classes
     any2stringadd

2. #### def filter(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): collection.TraversableOnce[(Global.icodes.Local, Global.icodes.TypeKind)]

   Implicit information
     This member is added by an implicit conversion from VarBinding to MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (varBinding: MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)]).filter(p)

   Definition Classes
     MonadOps

3. #### def flatMap[B](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from VarBinding to MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (varBinding: MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)]).flatMap(f)

   Definition Classes
     MonadOps

4. #### def map[B](f: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ B): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from VarBinding to MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (varBinding: MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)]).map(f)

   Definition Classes
     MonadOps

5. #### def withFilter(p: ((Global.icodes.Local, Global.icodes.TypeKind)) ⇒ Boolean): collection.Iterator[(Global.icodes.Local, Global.icodes.TypeKind)]

   Implicit information
     This member is added by an implicit conversion from VarBinding to MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (varBinding: MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)]).withFilter(p)

   Definition Classes
     MonadOps

### Inherited from HashMap[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from CustomParallelizable[(Global.icodes.Local, Global.icodes.TypeKind), ParHashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from HashTable[Global.icodes.Local, DefaultEntry[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from HashUtils[Global.icodes.Local]

### Inherited from AbstractMap[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from Map[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from MapLike[Global.icodes.Local, Global.icodes.TypeKind, HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from collection.mutable.Cloneable[HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[Global.icodes.Local]

### Inherited from Builder[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from Growable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from Clearable

### Inherited from collection.mutable.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from collection.mutable.Traversable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from Mutable

### Inherited from AbstractMap[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from Map[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from MapLike[Global.icodes.Local, Global.icodes.TypeKind, HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from Subtractable[Global.icodes.Local, HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from PartialFunction[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from (Global.icodes.Local) ⇒ Global.icodes.TypeKind

### Inherited from GenMap[Global.icodes.Local, Global.icodes.TypeKind]

### Inherited from GenMapLike[Global.icodes.Local, Global.icodes.TypeKind, HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from AbstractIterable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from collection.Iterable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from IterableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from Equals

### Inherited from GenIterable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from GenIterableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from AbstractTraversable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from collection.Traversable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from GenTraversable[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from GenericTraversableTemplate[(Global.icodes.Local, Global.icodes.TypeKind), collection.mutable.Iterable]

### Inherited from TraversableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from GenTraversableLike[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from Parallelizable[(Global.icodes.Local, Global.icodes.TypeKind), ParHashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from collection.TraversableOnce[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from GenTraversableOnce[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited from FilterMonadic[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from HasNewBuilder[(Global.icodes.Local, Global.icodes.TypeKind), HashMap[Global.icodes.Local, Global.icodes.TypeKind]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion MonadOps from VarBinding to MonadOps[(Global.icodes.Local, Global.icodes.TypeKind)]

### Inherited by implicit conversion CollectionsHaveToParArray from VarBinding to CollectionsHaveToParArray[VarBinding, T]

### Inherited by implicit conversion any2stringadd from VarBinding to any2stringadd[VarBinding]

### Inherited by implicit conversion StringFormat from VarBinding to StringFormat[VarBinding]

### Inherited by implicit conversion Ensuring from VarBinding to Ensuring[VarBinding]

### Inherited by implicit conversion ArrowAssoc from VarBinding to ArrowAssoc[VarBinding]

### Inherited by implicit conversion alternateImplicit from VarBinding to ForceImplicitAmbiguity

### Ungrouped